Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003904 [JEDI VCL] 00 JVCL Components minor always 2006-09-14 09:25 2006-10-01 10:19
Reporter nestor View Status public  
Assigned To remkobonte
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0003904: TjvDBlookupComboslow down when browsing or searching record.
Description The modifications made to JVDBLookup unit, since revision 10790 included, decreases the speed of the drop down list (when fired) and items search is very slow (when typing). I use paradox table with more than 13.000 records
Additional Information
Tags No tags attached.
Attached Files zip file icon JVDBLookup3904.zip [^] (3,348 bytes) 2006-09-26 11:44

- Relationships
related to 0003825resolvedobones TJvDBLookupComboBox 

-  Notes
(0010125)
obones (administrator)
2006-09-14 10:11

Please provide the zipped sources of a sample application showing this.
(0010127)
nestor (reporter)
2006-09-14 11:32

I was unable to produce the “Bug” in a new application. Maybe the problem is in my own codes. Sorry
(0010129)
obones (administrator)
2006-09-14 14:13

So can I close this report ?
(0010131)
nestor (reporter)
2006-09-14 16:48

Yes, you can close this report. I have no other argument! All what i see that revision 10699 works great in all my applications but not the revison 10790 and higher.

Thank you and sorry again
(0010136)
obones (administrator)
2006-09-16 06:13

Then even if it's not a direct problem in our side, maybe you could track the changes applied to that file and see why it creates a problem with your code.
Once you find that, maybe we can find a solution together.
(0010192)
nestor (reporter)
2006-09-26 11:47

The problem occurs only when the table is filtered and the event OnFilterRecord is assigned. In this case, OnFilterRecord is called many times (so many..), in any case much more than version 10699 for the same result.

Another thing: Click on then ScrollBar Down Arrow select immediately the last item of the drop down list.

See example uploaded: compile with the current version of JvDBLookup and compare the same project compiled with that of 10699.
(0010268)
remkobonte (developer)
2006-10-01 10:19

This is fixed in Rev. 10954 by adding a property UseRecordCount that can be used to allow or forbid the control to use the RecordCount property of the lookup dataset.

ScrollBar down arrow click bug is also fixed.

Updated help is at http://svn.sourceforge.net/viewvc/jvcl/trunk/help/JvDBLookup.dtx?sortby=date&view=log [^]

- Issue History
Date Modified Username Field Change
2006-09-14 09:25 nestor New Issue
2006-09-14 10:11 obones Note Added: 0010125
2006-09-14 10:11 obones Status new => feedback
2006-09-14 11:32 nestor Note Added: 0010127
2006-09-14 14:13 obones Note Added: 0010129
2006-09-14 16:48 nestor Note Added: 0010131
2006-09-16 06:13 obones Note Added: 0010136
2006-09-26 11:44 nestor File Added: JVDBLookup3904.zip
2006-09-26 11:47 nestor Note Added: 0010192
2006-09-26 18:48 remkobonte Status feedback => assigned
2006-09-26 18:48 remkobonte Assigned To => remkobonte
2006-09-26 18:50 remkobonte Relationship added related to 0003825
2006-10-01 10:19 remkobonte Status assigned => resolved
2006-10-01 10:19 remkobonte Fixed in Version => Daily / SVN
2006-10-01 10:19 remkobonte Resolution open => fixed
2006-10-01 10:19 remkobonte Note Added: 0010268


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker